CURLOPT_TCP_KEEPALIVE(3)

NAME
CURLOPT_TCP_KEEPALIVE - enable TCP keep-alive probing

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TCP_KEEPALIVE, long probe);

DESCRIPTION
Pass a long. If set to 1, TCP keepalive probes will be sent. The delay and frequency of these probes can be controlled by the CURLOPT_TCP_KEEPIDLE(3) and CURLOPT_TCP_KEEPINTVL(3) options, provided the operating system supports them. Set to 0 (default behavior) to disable keepalive probes

DEFAULT
0

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.25.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_TCP_KEEPIDLE(3), CURLOPT_TCP_KEEPINTVL(3),